-- 基础信息
base_info = {
	group_id = 133213494
}

-- DEFS_MISCS
defs = {

        --对应GalleryID
        gallery_id = 11004,

        --GroupID
        group_id = 133213494,

        --挑战方式 0-指定ID的鱼钓起计数 1-记录指定ID的鱼最大连续成功数
        fishing_type = 0,

        --这个Group对应的挑战ID
        challenge_id = 111180,

        --本挑战中，算作计数目标的鱼IDs 鱼ID在FishData表
        target_fish_id =
        {2,1002},

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 494001, gadget_id = 70800039, pos = { x = -3366.259, y = 200.000, z = -3213.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, persistent = true, fishing_id = 10006, fishing_areas = { 300004 }, area_id = 12 }
}

-- 区域
regions = {
	{ config_id = 494002, shape = RegionShape.SPHERE, radius = 18, pos = { x = -3367.035, y = 200.140, z = -3224.622 }, area_id = 12 }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 494001 },
		regions = { 494002 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_1/FishingChallenge"
